set more off
clear
version 14

global var_interest latitude longitude ///
		occurrence lshock mwshock pol_turmoil ///
		sh_jews sh_jews_credit sh_jews_trd_gr ///
		sh_credit sh_trd_gr no_credit d_sh_jews_credit d_sh_jews_trd_gr
		
global var_balance rye_suitability ///
		past_occurrence asb_rf sh_lit_jews sh_lit_non_jews ///
		sh_lit_diff sh_catholic urban sh_agr
	
********************************************************************************	
****** Creates a sample of grid-cell x year panel where each grid cell is ******
**************** matched to its neighboring (contiguous cells ******************
***** ! Keeps only variables that are used in the analysis to save space ! *****
********************************************************************************
		
preserve
	use "$data/pogrom_complete_data_grid.dta", clear
	
	keep cell_id year ${var_interest} ${var_balance}
	
	tempfile pogrom_data
	save `pogrom_data', replace
restore				

use "$data/grid_neighbors.dta", clear

expand 128
bys cell_id nbr_cell_id: gen year = 1799 + _n

merge m:1 cell_id year using `pogrom_data', ///
	keepusing(${var_interest} ${var_balance})
	
drop _merge

preserve
	use `pogrom_data', clear
	
	keep cell_id year ${var_interest} ${var_balance} 
	
	foreach var of varlist $var_interest $var_balance {
			rename `var' `var'_nbr
		}
		
	rename cell_id nbr_cell_id	

	tempfile neighbors
	save `neighbors', replace
restore

merge m:1 nbr_cell_id year using `neighbors'
drop _merge

save "$data/data_generated/neighbors_pogrom_data_grid.dta", replace
