
set more off
clear 
version 14	

cd "$figures"
set scheme s1color

****** Figure 3: Pogrom occurrence and the shares of Jews among middlemen ******

use "$data/pogrom_complete_data_grid", clear

keep sh_jews_credit occurrence sh_jews_trd_gr lshock pol_turmoil mwshock

gen xct_credit = 0
replace xct_credit = 1 if sh_jews_credit < 0.33
replace xct_credit = 2 if sh_jews_credit >= 0.33 & sh_jews_credit < 0.66
replace xct_credit = 3 if sh_jews_credit >= 0.66 

gen xct_trd_gr = 0
replace xct_trd_gr = 1 if sh_jews_trd_gr < 0.33
replace xct_trd_gr = 2 if sh_jews_trd_gr >= 0.33 & sh_jews_trd_gr < 0.66
replace xct_trd_gr = 3 if sh_jews_trd_gr >= 0.66

**

cibar occurrence if lshock & pol_turmoil, ///
	over1(xct_credit) barc(bluishgray eltblue edkblue) ciopts(lcolor(maroon)) ///
	graphopts(graphregion(color(white)) ylabel(0[0.02]0.08) ///
		legend(cols(3) label(1 "[0-25)") label(2 "[25-50)") label(3 "[50-75)")) ///
		xtitle("The share of Jews among creditors, by the following percentage-point intervals:") ///
		ytitle("Frequency of pogrom occurrence")) 
graph save figure_3_panel_A_pogrom_occurrence_by_group_sh_jews_credit, replace
graph export figure_3_panel_A_pogrom_occurrence_by_group_sh_jews_credit.pdf, replace

**

cibar occurrence if pol_turmoil & mwshock, ///
	over1(xct_trd_gr) barc(bluishgray eltblue edkblue) ciopts(lcolor(maroon)) ///
	graphopts(graphregion(color(white)) ylabel(0[0.02]0.08) ///
		legend(cols(3) label(1 "[0-25)") label(2 "[25-50)") label(3 "[50-75)")) ///
		xtitle("The share of Jews among grain traders, by the following percentage-point intervals:") ///
		ytitle("Frequency of pogrom occurrence")) 
graph save figure_3_panel_B_pogrom_occurrence_by_group_sh_jews_grain_trade, replace
graph export figure_3_panel_B_pogrom_occurrence_by_group_sh_jews_grain_trade.pdf, replace
