
set more off
clear 
version 14	

cd "$figures"
set scheme s1color

******************* Figure 5: Reaction of Jews to the pogroms ******************
	
************ Panel A: Jewish share change between 1897 and 1926/1931 ***********

use "$data/figure_5_ussr_poland_pogroms_jewish_share_change_1897_1926_31.dta", clear

gen label = "Kiev" if Kiev == 1

reg ch_sh_jews i.country_num, robust
predict res_ch_sh_jews, res

reg pogroms_between i.country_num, robust
predict res_pogroms_between, res

reg ch_sh_jews pogroms_between i.country_num if Kiev != 1, robust
avplot pogroms_between, msize(1.5) msymbol(plus) mcolor(dknavy) rlopts(lcolor(maroon)) ///
	xtitle("Residuals of the number of pogroms between 1897 and 1926-1931") ///
	ytitle("Residuals of the change in the share of Jews") ///
	addplot(scatter res_ch_sh_jews res_pogroms_between if Kiev == 1, ///
		legend(off) mlabel(label) msymbol(Oh) msize(1.5) mlabp(7)) 
graph export figure_5_panel_A_pale_pogroms_between_1897_1926_1931_change_sh_jews.pdf, replace
graph save figure_5_panel_A_pale_pogroms_between_1897_1926_1931_change_sh_jews, replace

************ Panel B: Jewish profession change between 1897 and 1926 ***********

use "$data/figure_5_ussr_pogroms_jewish_profession_share_change_1897_1926.dta", clear
	
gen label = "Kiev" if Kiev == 1

reg ch_sh_jews_credit_trade ch_sh_jews ch_sh_credit_trade i.country_num, robust
predict res_ch_sh_jews_credit_trade_c, res

reg pogroms_between_1897_1926 ch_sh_jews ch_sh_credit_trade i.country_num, robust
predict res_pogroms_between_1897_1926_c, res

reg ch_sh_jews_credit_trade pogroms_between_1897_1926 ch_sh_jews ch_sh_credit_trade i.country_num ///
	if !(Kiev == 1), robust
avplot pogroms_between_1897_1926, msize(1.5) msymbol(plus) mcolor(dknavy) rlopts(lcolor(maroon)) ///
	xtitle("Residuals of the number of pogroms between 1897 and 1926") ///
	ytitle("Residuals of the change in share of Jews among" "creditors and traders") ///
	addplot(scatter res_ch_sh_jews_credit_trade_c res_pogroms_between_1897_1926_c ///
		if Kiev == 1, ///
		legend(off) mlabel(label) msymbol(Oh) msize(1.5) mlabp(7)) 
graph export figure_5_panel_B_ussr_pogroms_bw_1897_1926_change_sh_jews_credit_conditional.pdf, replace
graph save figure_5_panel_B_ussr_pogroms_bw_1897_1926_change_sh_jews_credit_conditional, replace
