
set more off
clear
version 14	

cd "$figures"
set scheme s1color

********************************** Figure A11 **********************************

use "$data/figure_a11_grain_price_warsaw_amsterdam_1800_1914.dta", clear
sort year

*************** Panel B: Prices of wheat in Warsaw and Amsterdam ***************
					
twoway 	(connected wheat_pl_amsterdam year if year < 1868, ///
			msymbol(plus) mcolor(dknavy) lcolor(dknavy) lpattern(longdash)) ///
		(connected wheat_pl_amsterdam year if year > 1872, ///
			msymbol(plus) mcolor(dknavy) lcolor(dknavy) lpattern(longdash)) ///		
		(connected wheat_pl_warsaw year, ///
			msymbol(circle_hollow) mcolor(maroon) lcolor(maroon)) ///
		if year >= 1816 & year <= 1900, ///
		xlabel(1810[10]1900) ///		
		xtitle("Year") ytitle("Wheat price per liter (in silver)") ///
		legend(col(2) order(1 3) ///
			label(1 "Amsterdam") ///
			label(3 "Warsaw")) 
graph export figure_a11_panel_A_correlation_wheat_price_amsterdam_russian_empire_1800_1915.pdf, replace

************* Panel B: Prices of wheat and prices of rye in Warsaw *************
	
reg wheat_pl_warsaw rye_pl_warsaw, robust
avplot rye_pl_warsaw, msize(1.5) msymbol(plus) mcolor(dknavy) rlopts(lcolor(maroon)) ///
	xtitle("Rye price per liter") ytitle("Wheat price per liter")
graph export figure_a11_panel_B_correlation_wheat_rye_price_warsaw_liter.pdf, replace
