
set more off
clear 
version 14

cd "$figures"
set scheme s1color

**** Figure A14: Past violence, the share of antisemitic books, and pogroms ****

use "$data/pogrom_complete_data_grid.dta", clear

keep cell_id occurrence asb_rf past_occurrence

collapse (mean) asb_rf past_occurrence (max) occurrence, by(cell_id)

**** Panel A: Past violence against Jews and the share of antisemitic books ****

cibar asb_rf, over1(past_occurrence) ///
	barc(bluishgray edkblue) ciopts(lcolor(maroon)) ///
	graphopts(ytitle("Share of anti-Semitic books"))
graph save figure_a13_panel_A_past_violence_share_antisemitic_books, replace
graph export figure_a13_panel_A_past_violence_share_antisemitic_books.pdf, replace
	
*********** Panel B: Past violence against Jews and pogrom occurrence **********

cibar occurrence, over1(past_occurrence) ///
	barc(bluishgray edkblue) ciopts(lcolor(maroon)) ///
	graphopts(ytitle("Occurrence of pogroms"))
graph save figure_a13_panel_B_past_violence_occurrence, replace
graph export figure_a13_panel_B_past_violence_occurrence.pdf, replace
