
set more off
clear all 
version 14

cd "$figures"
set scheme s1color

***************** Figure A15: Cumulative distribution functions ****************

use "$data/pogrom_complete_data_grid.dta", clear

** Panel A: Share of Jews among creditors, local econ shock and political turmoil **

cdfplot sh_jews_credit if lshock == 1 & pol_turmoil ==1, ///
	by(occurrence) ///
		opt1(lc(dknavy maroon) lp(longdash)) ///
		title("CDF of the share of Jews among creditors") ///
		subtitle("among grid cells with a local shock and political turmoil") ///
		legend(col(1) ring(0) pos(10) ///
		label(1 "No pogroms") ///
		label(2 "Pogroms"))			
graph export figure_a14_panel_A_cdf_sh_jews_credit_hot_spring_pol_turmoil.pdf, as(pdf) replace
		
** Panel B: Share of Jews among grain traders, marketwide econ shock and political turmoil **

cdfplot sh_jews_trd_gr if pol_turmoil == 1 & mwshock == 1, ///
	by(occurrence) ///
		opt1(lc(dknavy maroon) lp(longdash)) ///
		title("CDF of the share of Jews among grain traders") ///
		subtitle("among grid cells with a marketwide econ shock and political turmoil") ///
		legend(col(1) ring(0) pos(10) ///
		label(1 "No pogroms") ///
		label(2 "Pogroms"))			
graph export figure_a14_panel_B_cdf_sh_jews_trd_gr_macro_shock_pol_turmoil.pdf, as(pdf) replace

