
set more off
clear
version 14	

cd "$figures"
set scheme s1color

******** Figure A9: Lowess grain harvest by crop type at the uezd level ********

use "$data/figure_a9_grain_yield_data_uezd.dta", clear

foreach crop in YSCrops YWCrops {			

	if "`crop'" == "YSCrops" {
		local panel = "BS"
		}

	if "`crop'" == "YWCrops" {
		local panel = "A"
		}

	lowess `crop' sdev_temp_sp_rm75, bw(0.7) gen(y_sdev_temp_sp_rm75) nograph adjust				
	lab var y_sdev_temp_sp_rm75 "Yield (1000s)"

	_pctile sdev_temp_sp_rm75, nq(1000)		
	twoway line y_sdev_temp_sp_rm75 sdev_temp_sp_rm75 ///
		if sdev_temp_sp_rm75 > `r(r5)' & sdev_temp_sp_rm75 < `r(r995)', sort lcolor(dknavy)
	graph save figure_a9_panel_`panel'_`crop'_temp_sp_sdev_rm75_1pcts, replace
	graph export figure_a9_panel_`panel'_`crop'_temp_sp_sdev_rm75_1pcts.pdf, as(pdf) replace

	drop y_sdev_temp_sp_rm75	
}
	
