
set more off
clear 
version 14

cd "$tables"

************************** Table 1: Summary statistics *************************

*********** Panel A: Share of Jews in total and in major occupations ***********
		
use "$data/pogrom_complete_data_grid.dta", clear

keep cell_id sh_jews sh_jews_credit sh_jews_trd sh_jews_agr_int_pr sh_jews_trd_gr ///
	sh_jews_nagr_trd sh_jews_trd_gnrl sh_jews_crafts sh_jews_trns sh_jews_agr

duplicates drop

lab var sh_jews "Share of Jews in population"

sutex 	sh_jews sh_jews_credit sh_jews_trd sh_jews_agr_int_pr sh_jews_trd_gr ///
		sh_jews_nagr_trd sh_jews_trd_gnrl sh_jews_crafts sh_jews_trns sh_jews_agr, ///
		minmax label digits(3) ///
		file(table_1_descriptive_statistics.tex) replace			
	
********************* Panel B: Pogrom occurrence and number ********************

use "$data/pogrom_complete_data_grid.dta", clear

sutex 	occurrence occurrence_agri occurrence_agri_non_sp occurrence_non_agri occurrence_unk ///
		count count_agri count_agri_non_sp count_non_agri count_unk, ///
		minmax label digits(4) ///
		file(table_1_descriptive_statistics.tex) append
