
set more off
clear 
version 14	

cd "$tables"

************ Table 6: Correlation between past anti-Jewish violence, ***********
*********** antisemitic books in 18th century, and Jewish occupations **********
	
use "$data/pogrom_complete_data_grid.dta", clear
	
run "$do_files/ado_files/acreg.ado"
	
global acreg_option spatial latitude(latitude) longitude(longitude) dist(100)

keep cell_id latitude longitude pub_town d2sich nb_asb nb_book_r asb_rf ///
	past_occurrence sh_jews sh_jews_credit sh_jews_trd_gr segreg segrega ///
	sh_jews_agr sh_jews_nagr_trd sh_jews_trd_gnrl ///
	sh_jews_crafts sh_jews_trns

duplicates drop

global vars_report sh_jews_credit sh_jews_trd_gr ///
	segreg segrega sh_jews_agr sh_jews_nagr_trd sh_jews_trd_gnrl ///
	sh_jews_crafts sh_jews_trns sh_jews d2sich

replace past_occurrence = past_occurrence * 100

	***** Correlation between past_occurrence and jewish professions ***** 
		
	** 1
	
	acreg past_occurrence sh_jews sh_jews_credit sh_jews_trd_gr d2sich, ${acreg_option}
	outreg2 using table_6_correlations_past_violence_antisemitic_books_jewish_professions.xls, ///
		tex(frag) excel bdec(2) tdec(2) sdec(2) keep(${vars_report}) sortvar(${vars_report}) ///
		ctitle("Past violence") nonotes nocon label replace
		
	** 2
		
	acreg past_occurrence segreg sh_jews sh_jews_credit sh_jews_trd_gr d2sich, ${acreg_option}
	outreg2 using table_6_correlations_past_violence_antisemitic_books_jewish_professions.xls, ///
		tex(frag) excel bdec(2) tdec(2) sdec(2) keep(${vars_report}) sortvar(${vars_report}) ///
		ctitle("Past violence") nonotes nocon label append
		
	** 3

	acreg past_occurrence segrega sh_jews sh_jews_credit sh_jews_trd_gr d2sich, ${acreg_option}
	outreg2 using table_6_correlations_past_violence_antisemitic_books_jewish_professions.xls, ///
		tex(frag) excel bdec(2) tdec(2) sdec(2) keep(${vars_report}) sortvar(${vars_report}) ///
		ctitle("Past violence") nonotes nocon label append
		
	** 4	
	
	acreg past_occurrence sh_jews sh_jews_credit sh_jews_trd_gr ///
			sh_jews_agr sh_jews_nagr_trd sh_jews_trd_gnrl ///
			sh_jews_crafts sh_jews_trns d2sich, ${acreg_option}
	outreg2 using table_6_correlations_past_violence_antisemitic_books_jewish_professions.xls, ///
		tex(frag) excel bdec(2) tdec(2) sdec(2) keep(${vars_report}) sortvar(${vars_report}) ///
		ctitle("Past violence") nonotes nocon label append
			
	***** Correlation between share of AS books and jewish professions ***** 

	** 5
			
	acreg asb_rf sh_jews sh_jews_credit sh_jews_trd_gr, ${acreg_option}
	outreg2 using table_6_correlations_past_violence_antisemitic_books_jewish_professions.xls, ///
		tex(frag) excel bdec(3) tdec(3) sdec(3) keep(${vars_report}) sortvar(${vars_report}) ///
		ctitle("Past violence") nonotes nocon label append
		
	** 6
		
	acreg asb_rf segreg sh_jews sh_jews_credit sh_jews_trd_gr, ${acreg_option}
	outreg2 using table_6_correlations_past_violence_antisemitic_books_jewish_professions.xls, ///
		tex(frag) excel bdec(3) tdec(3) sdec(3) keep(${vars_report}) sortvar(${vars_report}) ///
		ctitle("Past violence") nonotes nocon label append
		
	** 7
		
	acreg asb_rf segrega sh_jews sh_jews_credit sh_jews_trd_gr, ${acreg_option}
	outreg2 using table_6_correlations_past_violence_antisemitic_books_jewish_professions.xls, ///
		tex(frag) excel bdec(3) tdec(3) sdec(3) keep(${vars_report}) sortvar(${vars_report}) ///
		ctitle("Past violence") nonotes nocon label append
		
	** 8
		
	acreg asb_rf sh_jews sh_jews_credit sh_jews_trd_gr ///
			sh_jews_agr sh_jews_nagr_trd sh_jews_trd_gnrl sh_jews_crafts sh_jews_trns, ${acreg_option}
	outreg2 using table_6_correlations_past_violence_antisemitic_books_jewish_professions.xls, ///
		tex(frag) excel bdec(3) tdec(3) sdec(3) keep(${vars_report}) sortvar(${vars_report}) ///
		ctitle("Past violence") nonotes nocon label append
