
set more off
clear 
version 14	

cd "$tables"

*************** Table A4: Share of middleman among ethnic groups ***************
		
use "$data/pogrom_complete_data_grid.dta", clear

keep cell_id sh_credit sh_jews_credit sh_rus_credit sh_pol_credit sh_ukr_credit ///
	sh_ger_credit sh_bel_credit sh_lut_credit sh_mol_credit sh_lat_credit ///
	sh_other_ethnicities_credit sh_bulgarians_credit sh_greek_credit ///
	sh_turk_tatar_credit sh_armenian_credit sh_czech_credit sh_finn_credit ///
	sh_gypsy_credit ///
	sh_jews_trd_gr sh_rus_trd_gr sh_pol_trd_gr sh_ukr_trd_gr ///
	sh_ger_trd_gr sh_bel_trd_gr sh_lut_trd_gr sh_mol_trd_gr sh_lat_trd_gr ///
	sh_other_ethnicities_trd_gr sh_bulgarians_trd_gr sh_greek_trd_gr ///
	sh_turk_tatar_trd_gr sh_armenian_trd_gr sh_czech_trd_gr sh_finn_trd_gr ///
	sh_gypsy_trd_gr
 
duplicates drop

replace sh_other_ethnicities_credit = sh_other_ethnicities_credit + ///
	sh_bulgarians_credit + sh_greek_credit + sh_turk_tatar_credit + ///
	sh_armenian_credit + sh_czech_credit + sh_finn_credit + sh_gypsy_credit	

replace sh_other_ethnicities_trd_gr = sh_other_ethnicities_trd_gr + ///
	sh_bulgarians_trd_gr + sh_greek_trd_gr + sh_turk_tatar_trd_gr + ///
	sh_armenian_trd_gr + sh_czech_trd_gr + sh_finn_trd_gr + sh_gypsy_trd_gr	
	
foreach var of varlist sh_rus_credit sh_pol_credit sh_ukr_credit ///
	sh_ger_credit sh_bel_credit sh_lut_credit ///
	sh_mol_credit sh_lat_credit sh_other_ethnicities_credit {
		replace `var' = 0 if sh_credit == 0
		}
		
sutex sh_jews_credit sh_rus_credit sh_pol_credit sh_ukr_credit ///
	sh_ger_credit sh_bel_credit sh_lut_credit ///
	sh_mol_credit sh_lat_credit sh_other_ethnicities_credit, ///
	nobs minmax label digits(4) ///
	file(table_a4_descriptive_statistics_ethnic_groups_middleman.tex) replace	
	
sutex sh_jews_trd_gr sh_rus_trd_gr sh_ukr_trd_gr sh_pol_trd_gr ///
	sh_lat_trd_gr sh_bel_trd_gr sh_lut_trd_gr ///
	sh_ger_trd_gr sh_mol_trd_gr sh_other_ethnicities_trd_gr, ///
	nobs minmax label digits(4) ///
	file(table_a4_descriptive_statistics_ethnic_groups_middleman.tex) append	
