
set more off
clear 
version 14

cd "$tables"

** 1

use "$data/table_a6_government_assistance.dta", clear

merge 1:1 year gub_id using "$data/grain_price_harvest_complete_data_gubernia.dta", ///
	keepusing(grain_harvest)
drop if _merge == 2
drop _merge	

replace grain_harvest = grain_harvest/1000

xi: reg government_assistance grain_harvest i.year i.gub_id, robust
outreg2 using table_a6_correlation_across_measures.xls, ///
	excel tex(frag) bdec(3) tdec(3) sdec(3) keep(grain_harvest) ///
	ctitle("Dummy:, Received, government, assistance, panel") nonotes nocon label replace
	
** 2

use "$data/table_a6_government_assistance.dta", clear

merge 1:1 year gub_id using "$data/grain_price_harvest_complete_data_gubernia.dta", ///
	keepusing(log_grain_price)
drop if _merge == 2
drop _merge	

bys year: egen nb_government_assistance = total(government_assistance)
bys year: egen mean_log_grain_price = mean(log_grain_price)

keep year nb_government_assistance mean_log_grain_price
duplicates drop

reg nb_government_assistance mean_log_grain_price, robust
outreg2 using table_a6_correlation_across_measures.xls, ///
	excel tex(frag) bdec(3) tdec(3) sdec(3) keep(mean_log_grain_price) ///
	ctitle("No. of provinces, that received, government, assistance, time series") nonotes nocon label append

** 3

use "$data/pogrom_complete_data_grid.dta", clear

keep if d_bspready != .

keep bspread d_bspready pol_turmoil
duplicates drop

gen mean_log_grain_price = .
lab var mean_log_grain_price "Log grain price"

gen grain_harvest = .
lab var grain_harvest "Grain harvest (millions chet)"

reg d_bspready pol_turmoil, robust
outreg2 using table_a6_correlation_across_measures.xls, ///
	excel tex(frag) bdec(3) tdec(3) sdec(3) keep(pol_turmoil) ///
	ctitle("Rising, sovereign, bond spread, yield, time series") nonotes nocon label append
