
version 14.0
clear
set more off

cd "$tables"

************ Table A9: Correlation between past anti-Jewish violence ***********
******************* and antisemitic books in the 18th century ******************
	
use "$data/pogrom_complete_data_grid.dta", clear
	
run "$do_files/ado_files/acreg.ado"
	
global acreg_option spatial latitude(latitude) longitude(longitude) dist(100)
	
global add_stat adds(Mean of dependent var., mean_outcome, s.d. of dependent var., sd_outcome)

keep cell_id latitude longitude pub_town d2sich nb_asb nb_book_r asb_rf ///
	past_occurrence 
	
duplicates drop
	
global vars_report nb_asb nb_book_r asb_rf d2sich

replace past_occurrence = 100 if past_occurrence == 1

	** 1

	sum past_occurrence
	scalar mean_outcome = r(mean)
	scalar sd_outcome = r(sd)

	acreg past_occurrence nb_asb nb_book_r, $acreg_option
	outreg2 using table_a8_correlations_past_violence_antisemitic_books.xls, ///
		tex(frag) excel bdec(2) tdec(2) sdec(2) sortvar(${vars_report}) ctitle(", All cells") ///
		${add_stat} nonotes nocon label replace

	** 2

	acreg past_occurrence nb_asb nb_book_r d2sich, $acreg_option
	outreg2 using table_a8_correlations_past_violence_antisemitic_books.xls, ///
		tex(frag) excel bdec(2) tdec(2) sdec(2) sortvar(${vars_report}) ctitle(", All cells") ///
		${add_stat} nonotes nocon label append

	** 3

	sum past_occurrence if pub_town == 1
	scalar mean_outcome = r(mean)
	scalar sd_outcome = r(sd)

	acreg past_occurrence nb_asb nb_book_r d2sich if pub_town == 1, $acreg_option
	outreg2 using table_a8_correlations_past_violence_antisemitic_books.xls, ///
		tex(frag) excel bdec(2) tdec(2) sdec(2) sortvar(${vars_report}) ctitle("Publication, towns") ///
		${add_stat} nonotes nocon label append

	** 4

	sum past_occurrence
	scalar mean_outcome = r(mean)
	scalar sd_outcome = r(sd)
		
	acreg past_occurrence asb_rf, $acreg_option
	outreg2 using table_a8_correlations_past_violence_antisemitic_books.xls, ///
		tex(frag) excel bdec(2) tdec(2) sdec(2) sortvar(${vars_report}) ctitle(", All cells") ///
		${add_stat} nonotes nocon label append

	** 5
		
	acreg past_occurrence asb_rf d2sich, $acreg_option
	outreg2 using table_a8_correlations_past_violence_antisemitic_books.xls, ///
		tex(frag) excel bdec(2) tdec(2) sdec(2) sortvar(${vars_report}) ctitle(", All cells") ///
		${add_stat} nonotes nocon label append

	** 6

	sum past_occurrence if pub_town == 1
	scalar mean_outcome = r(mean)
	scalar sd_outcome = r(sd)
		
	acreg past_occurrence asb_rf d2sich if pub_town == 1, $acreg_option
	outreg2 using table_a8_correlations_past_violence_antisemitic_books.xls, ///
		tex(frag) excel bdec(2) tdec(2) sdec(2) sortvar(${vars_report}) ctitle("Publication, towns") ///
		${add_stat} nonotes nocon label append
