
set more off
clear 
version 14	

cd "$tables"

** Table A8: Pogroms in the summer as a function of temperature shocks in spring **

use "$data/pogrom_complete_data_grid.dta", clear

run "$do_files/ado_files/acreg.ado"

global year_FE i.year
global cell_FE i.cell_id

global acreg_option id(cell_id) time(year) spatial ///
	latitude(latitude) longitude(longitude) ${cutoff_grid} ///
	pfe1(cell_id) pfe2(year)
	
global add_stat adds(R-squared, r_squared, Mean of dependent var., ///
	mean_outcome, s.d. of dependent var., sd_outcome)

global growing_season lshock Ipol_turmoil_lshock ///
	Ish_jews_lshock_pt Ish_jews_lshock Ish_jews_pol_turmoil  ///
	Ish_jews_mwshock_pt Ish_jews_mwshock
		
global harvest_season hot_su5 Ipol_turmoil_hot_su5 ///
	Ish_jews_hot_su5_pt Ish_jews_hot_su5 

keep occurrence occurrence_agri_non_sp ///
	cell_id year latitude longitude ///
	${growing_season} ${harvest_season}

replace occurrence_agri_non_sp = occurrence_agri_non_sp * 100 
	
	** 1
	
	reg occurrence_agri_non_sp ${growing_season} ///
		${year_FE} ${cell_FE}, cluster(cell_id)
	scalar r_squared = e(r2)
		
	sum occurrence_agri_non_sp if e(sample)
		scalar mean_outcome = r(mean)
		scalar sd_outcome = r(sd)

	acreg occurrence_agri_non_sp ${growing_season}, ${acreg_option}
	outreg2 using table_a9_occurrence_results_harvesting_season.xls, ///
		tex(frag) excel bdec(3) tdec(3) sdec(3) ///
		ctitle("occurrence, harvesting season") ${add_stat} nonotes nocon nor2 label append

	** 2

	reg occurrence_agri_non_sp ${growing_season} ${harvest_season} ///
		${year_FE} ${cell_FE}, cluster(cell_id)
	scalar r_squared = e(r2)
		
	sum occurrence_agri_non_sp if e(sample)
		scalar mean_outcome = r(mean)
		scalar sd_outcome = r(sd)

	acreg occurrence_agri_non_sp ${growing_season} ${harvest_season}, ${acreg_option}
	outreg2 using table_a9_occurrence_results_harvesting_season.xls, ///
		tex(frag) excel bdec(3) tdec(3) sdec(3) ///
		ctitle("occurrence, harvesting season") ${add_stat} nonotes nocon nor2 label append
